ST_Scroll
Prev | 8.5. Geometry Editors | Next

## Name

ST_Scroll — Change start point of a closed LineString.

## Synopsis

`geometry ST_Scroll(`geometry linestring, geometry point`)`;

## Description

Changes the start/end point of a closed LineString to the given vertex `point`.

Availability: 3.2.0

This function supports 3d and will not drop the z-index.

This function supports M coordinates.

## Examples

Make e closed line start at its 3rd vertex

    SELECT ST_AsEWKT(ST_Scroll('SRID=4326;LINESTRING(0 0 0 1, 10 0 2 0, 5 5 4 2,0 0 0 1)', 'POINT(5 5 4 2)'));

    st_asewkt
    ----------
    SRID=4326;LINESTRING(5 5 4 2,0 0 0 1,10 0 2 0,5 5 4 2)

## See Also

ST_Normalize

Prev | Up | Next
ST_CurveToLine | Home | ST_FlipCoordinates